Bug 1917931 - [e2e-gcp-upi] failing due to missing pyopenssl library
Summary: [e2e-gcp-upi] failing due to missing pyopenssl library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: Etienne Simard
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 17:20 UTC by Matthew Staebler
Modified: 2021-07-27 22:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
e2e-gcp-upi has never succeeded in the last 2 months due to a python package error, resulting in a failure. Added a fix which involves setting the right python version, pip version and the CLOUDSDK_PYTHON for the gsutil in order to resolve the package not found error.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:36:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4656 0 None closed Bug 1917931: Fix GCP openssl not found error 2021-02-21 09:43:51 UTC
Github openshift installer pull 4831 0 None closed Revert "Dockerfile.upi.ci: Drop pip+pyopenssl installs" 2021-04-09 14:35:16 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:36:33 UTC

Description Matthew Staebler 2021-01-19 17:20:09 UTC
The e2e-gcp-upi test is failing with the following error.

CommandException: The signurl command requires the pyopenssl library (try pip install pyopenssl or easy_install pyopenssl)

https://prow.ci.openshift.org/job-history/gs/origin-ci-test/pr-logs/directory/pull-ci-openshift-installer-master-e2e-gcp-upi

Comment 1 Matthew Staebler 2021-02-05 01:59:57 UTC
Aditya, the recent change to pin the pip version did not resolve this BZ. Can you take a look into this next sprint?

Comment 3 Etienne Simard 2021-04-08 14:12:21 UTC
I'm re-opening this and looking at it because of: https://github.com/openshift/installer/pull/4784

Comment 4 Etienne Simard 2021-04-09 14:35:16 UTC
Reverted changes with https://github.com/openshift/installer/pull/4831 and it e2e-gcp-upi is green.

Comment 7 errata-xmlrpc 2021-07-27 22:36:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.